package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.ResourceSort;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.DataRecommenAddModel;
import com.lightinit.hsdataplatform.model.admin.DataRecommendationListModel;
import com.lightinit.hsdataplatform.model.admin.DataRecommendationSearchModel;

import java.util.List;

public interface IDataRecommendationService {
    long queryCount(DataRecommendationSearchModel inputModel);

    List<DataRecommendationListModel> queryList(DataRecommendationSearchModel inputModel);

    long queryResourceCount(DataRecommendationSearchModel inputModel);

    List<DataRecommendationListModel> queryResourceList(DataRecommendationSearchModel inputModel);

    ResultState doAdd(DataRecommenAddModel inputModel);

    ResourceSort selectById(Long id);

    ResultState doMove(DataRecommenAddModel inputModel);

    List<DataRecommendationListModel> queryDefaultList(DataRecommendationSearchModel inputModel);

    long queryDefaultCount(DataRecommendationSearchModel inputModel);

    ResultState delete(Long id);
}
